package com.nivesh.production.partnerOnBoarding.ui.fragments

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.nivesh.production.partnerOnBoarding.databinding.FragmentPagerStepThreeBinding
import com.nivesh.production.partnerOnBoarding.ui.activities.ViewPagerActivity

class StepThreePagerFragment : Fragment() {
    private var _binding: FragmentPagerStepThreeBinding? = null
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View {
        _binding = FragmentPagerStepThreeBinding.inflate(inflater, container, false)
        return binding.root
    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        init()
    }

    private fun init() {
        binding.btnNext.setOnClickListener {
            (activity as ViewPagerActivity).stepFourApi()
        }

        binding.btnBack.setOnClickListener {
            (activity as ViewPagerActivity).stepTwoApi()
        }

    }
}